Name:          libffi7
Epoch:         1
Version:       3.3
Release:       3mamba
Summary:       A Portable Foreign Function Interface Library 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceware.org/libffi/
Source:        ftp://sourceware.org/pub/libffi/libffi-%{version}.tar.gz
License:       MIT
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Compilers for high level languages generate code that follows certain conventions. These conventions are necessary, in part, for separate compilation to work. One such convention is the "calling convention". The "calling convention" is a set of assumptions made by the compiler about where function arguments will be found on entry to a function. A "calling convention" also specifies where the return value for a function is found.
Some programs may not know at the time of compilation what arguments are to be passed to a function. For instance, an interpreter may be told at run-time about the number and types of arguments used to call a given function. Libffi can be used in such programs to provide a bridge from the interpreter program to compiled code.
The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time.
FFI stands for Foreign Function Interface. A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language. The libffi library really only provides the lowest, machine dependent layer of a fully featured foreign function interface. A layer must exist above libffi that handles type conversions for values passed between the two languages.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Compilers for high level languages generate code that follows certain conventions. These conventions are necessary, in part, for separate compilation to work. One such convention is the "calling convention". The "calling convention" is a set of assumptions made by the compiler about where function arguments will be found on entry to a function. A "calling convention" also specifies where the return value for a function is found.
Some programs may not know at the time of compilation what arguments are to be passed to a function. For instance, an interpreter may be told at run-time about the number and types of arguments used to call a given function. Libffi can be used in such programs to provide a bridge from the interpreter program to compiled code.
The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time.
FFI stands for Foreign Function Interface. A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language. The libffi library really only provides the lowest, machine dependent layer of a fully featured foreign function interface. A layer must exist above libffi that handles type conversions for values passed between the two languages.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n libffi-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
exit 0

%preun devel
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libffi.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/ffi.h
%{_includedir}/ffitarget.h
%{_libdir}/libffi.a
%{_libdir}/libffi.la
%{_libdir}/libffi.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/ffi.3*
%{_mandir}/man3/ffi_call.3*
%{_mandir}/man3/ffi_prep_cif.3*
%{_mandir}/man3/ffi_prep_cif_var.3*
%{_infodir}/libffi.info.gz
%doc ChangeLog

%changelog
* Wed Dec 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-3mamba
- legacy package

* Mon Apr 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-2mamba
- rebuilt with debug package

* Sun Apr 12 2020 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Thu Oct 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- x86_64: obsolete lib32-libffi[-devel]

* Mon Dec 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic update by autodist

* Sun Jun 01 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic update by autodist

* Mon Mar 25 2013 Automatic Build System <autodist@mambasoft.it> 3.0.13-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- automatic version update by autodist

* Tue Apr 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.10-1mamba
- update to 3.0.10

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 3.0.10rc8-1mamba
- automatic update to 3.0.3.0 by autodist

* Tue Dec 07 2010 Automatic Build System <autodist@mambasoft.it> 3.0.9rc9-1mamba
- update to 3.0.9rc9

* Fri Sep 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.9-1mamba
- package created by autospec
